/*
Copyright  2017-2019,
Battelle Memorial Institute; Lawrence Livermore National Security, LLC; Alliance for Sustainable Energy, LLC
All rights reserved.

SPDX-License-Identifier: BSD-3-Clause

*/
#pragma once

/* #undef HELICS_ENABLE_MPI_CORE */
#define HELICS_ENABLE_ZMQ_CORE
/* #undef HELICS_ENABLE_TCP_CORE */
#define HELICS_ENABLE_IPC_CORE
/* #undef HELICS_ENABLE_UDP_CORE */
/* #undef HELICS_ENABLE_TEST_CORE */
#define HELICS_ENABLE_INPROC_CORE
/* #undef HELICS_ENABLE_ENCRYPTION */


#define HELICS_ENABLE_LOGGING
#define HELICS_ENABLE_TRACE_LOGGING
#define HELICS_ENABLE_DEBUG_LOGGING

#define HELICS_DISABLE_ASIO

/* #undef HELICS_USE_PICOSECOND_TIME */

#define HELICS_VERSION_MAJOR 3
#define HELICS_VERSION_MINOR 3
#define HELICS_VERSION_PATCH 1
#define HELICS_VERSION 3.3.1
#define HELICS_VERSION_BUILD ""
#define HELICS_VERSION_STRING "3.3.1 (2022-10-21)"
#define HELICS_DATE "2022-10-21"
#define HELICS_COMPILER_VERSION "Ninja  Windows-6.2.9200:Clang-15.0.4"
#define HELICS_BUILD_FLAGS_RELEASE "-march=pentium4 -mtune=generic -O2 -pipe -O3 -DNDEBUG  $<$<COMPILE_LANGUAGE:CXX>:-std=c++17>"
#define HELICS_BUILD_FLAGS_DEBUG "-march=pentium4 -mtune=generic -O2 -pipe -g  $<$<COMPILE_LANGUAGE:CXX>:-std=c++17>"
#define HELICS_BUILD_PROCESSOR "AMD64"
